<div>
    <h2>
        <span jhiTranslate="mpmApp.invoice.home.title">Invoices</span>
    </h2>
        <div class="ui-g-12">
            <button class="btn btn-primary float-right jh-create-entity create-invoice" [routerLink]="['/invoice-new']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Invoice Pelunasan
                </span>
            </button>
        </div>
        <div class="ui-g-12">
            <button class="btn btn-success float-right jh-create-entity create-invoice"
            [routerLink]="['/invoice-new-downpayment']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Buat Invoice Down Payment
            </span>
        </button>
        </div>
        <div class="ui-g-12">
            <button class="btn btn-info float-right jh-create-entity create-invoice"
            [routerLink]="['/invoice-new-ppjk']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Buat Invoice PPJK / KASNEGARA
            </span>
        </button>
        </div>
        <!-- <div class="ui-g-12">
            <button class="btn btn-primary float-right jh-create-entity create-invoice" [routerLink]="['/invoice-new-bast']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Invoice BAST
                </span>
            </button>
        </div> -->
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <p-accordion>
                <p-accordionTab header="Filter" [selected]="false">
                    <div class="row">
                        <div class="ui-g-12">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_PIC">Tanggal</label>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                            yearRange="2000:2999" appendTo="body"></p-calendar>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                            yearRange="2000:2999" appendTo="body"></p-calendar>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                    </div>
                                    <div class="ui-g-8">
                                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                            [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                            (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1>
                                        </p-autoComplete>
                                    </div>
                                </div>
                                <!-- <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_type">PIC</label>
                                    </div>
                                    <div class="ui-g-8">
                                        <p-dropdown [options]="types" [(ngModel)]="selectedPIC" id="field_type"
                                            [style]="{'width':'100%'}">
                                        </p-dropdown>
                                    </div>
                                </div> -->
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_type">Jenis Invoice</label>
                                    </div>
                                    <div class="ui-g-8">
                                        <p-dropdown [options]="statuses" [(ngModel)]="selectedType" id="field_type"
                                            [style]="{'width':'100%'}">
                                        </p-dropdown>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button pButton type="submit" label="Filter" icon="fa-filter"
                                        class="ui-button-primary flat-label-button" (click)="filter()">
                                    </button>
                                    <button pButton label="Reset Filter" icon="fa-refresh"
                                        class="ui-button-primary flat-label-button" (click)="reset()">
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </p-accordionTab>
            </p-accordion>
        </div>
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Cari Invoice || Nama Supplier || No Tanda Terima">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br />
    <p-dataTable [value]="invoices" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idinv" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
        <p-header>
        </p-header>
        <!-- <p-column selectionMode="multiple" [style]="{'width':'38px'}" *jhiHasAnyAuthority="['ROLE_MGR_PRC']"></p-column> -->
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Tanda Terima">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.receiptno}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Faktur">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.invno}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Faktur Pajak">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.taxinvno}}
            </ng-template>
        </p-column>
        <p-column header="Suplier">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nm_supplier}}
            </ng-template>
        </p-column>
        <p-column header="Pembuat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.createby}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtcreate | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Tanda Terima">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtreceipt | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Invoice Type">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.invtypedesc}}
            </ng-template>
        </p-column>
        <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.stype}}
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div class="ui-g-12">
                    <div *ngIf="rowData.invtype === 3">
                        <button pButton type="button" [routerLink]="['../invoice-edit/' + rowData.idinv + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Fakrut"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']" >
                        </button>
                        <button pButton type="button" [routerLink]="['../invoice-edit/' + rowData.idinv + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Faktur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']" [disabled]="rowData.statuses !== 10">
                        </button>
                    </div>
                    <div *ngIf="rowData.invtype === 2">
                        <button pButton type="button" [routerLink]="['../invoice-edit-dp/' + rowData.idinv + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Fakrut"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button" [routerLink]="['../invoice-edit-dp/' + rowData.idinv + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Faktur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']" [disabled]="rowData.statuses !== 10">
                        </button>
                    </div>
                    <div *ngIf="rowData.invtype === 5 || rowData.invtype === 4">
                        <button pButton type="button" [routerLink]="['../invoice-edit-ppjk/' + rowData.idinv + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Fakrut"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button" [routerLink]="['../invoice-edit-ppjk/' + rowData.idinv + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Faktur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']" [disabled]="rowData.statuses !== 10">
                        </button>
                    </div>
                    <!-- <div *ngIf="rowData.invoice_type.idinvtyp === 6">
                        <button pButton type="button" [routerLink]="['../invoice-edit-bast/' + rowData.idinv + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Fakrut"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']" >
                        </button>
                        <button pButton type="button" [routerLink]="['../invoice-edit-bast/' + rowData.idinv + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Faktur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']" [disabled]="rowData.statuses !== 10">
                        </button>
                    </div> -->
                    <!-- <button pButton type="button" icon="fa-ban" class="flat-button" pTooltip="cancel"
                        (click)="cancel(rowData)" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                    </button> -->
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<p-confirmDialog></p-confirmDialog>